MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026512Community[OCCT] OCCT:Visualizationpublic2015-08-03 15:302016-12-09 16:37
Reporterdc 
Assigned Tobugmaster 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
PlatformWindows 7 64 SP1OSVC++ 2013OS Version64 bit
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0026512: Build fails with VTK 6.2 and OpenGL2 rendering Backend
DescriptionIf you choose to build vtk with the new opengl2 rendering backend the build of occ fails.
Steps To Reproduce• Build/Get VTK with OpenGL2 Rendering Backend
• Try to configure/build occt with it

Result: there are no new compilation errors or/and warnings
Additional information
and documentation updates
1>------ Build started: Project: TKIVtk, Configuration: Release x64 ------
1> Creating library C:/data/src-build/oce-0.17-dev/bin/Release/TKIVtk.lib and object C:/data/src-build/oce-0.17-dev/bin/Release/TKIVtk.exp
1>IVtkVTK_View.obj : error LNK2019: unresolved external symbol "void __cdecl vtkRenderingOpenGL_AutoInit_Construct(void)" (?vtkRenderingOpenGL_AutoInit_Construct@@YAXXZ) referenced in function "public: __cdecl vtkRenderingOpenGL_ModuleInit::vtkRenderingOpenGL_ModuleInit(void)" (??0vtkRenderingOpenGL_ModuleInit@@QEAA@XZ)
1>IVtkVTK_View.obj : error LNK2019: unresolved external symbol "void __cdecl vtkRenderingOpenGL_AutoInit_Destruct(void)" (?vtkRenderingOpenGL_AutoInit_Destruct@@YAXXZ) referenced in function "public: __cdecl vtkRenderingOpenGL_ModuleInit::~vtkRenderingOpenGL_ModuleInit(void)" (??1vtkRenderingOpenGL_ModuleInit@@QEAA@XZ)
1>C:\data\src-build\oce-0.17-dev\bin\Release\TKIVtk.dll : fatal error LNK1120: 2 unresolved externals
2>------ Build started: Project: TKIVtkDraw, Configuration: Release x64 ------
2> IVtkDraw.cxx
2> IVtkDraw_Interactor.cxx
2>C:\data\src\oce-0.17-dev\src\IVtkDraw\IVtkDraw_Interactor.cxx(17): warning C4005: '_WIN32_WINNT' : macro redefinition
2> C:\Program Files (x86)\Windows Kits\8.1\Include\shared\sdkddkver.h(200) : see previous definition of '_WIN32_WINNT'
2>C:\data\src\oce-0.17-dev\src\IVtkDraw\IVtkDraw.cxx(54): warning C4005: '_WIN32_WINNT' : macro redefinition
2> C:\Program Files (x86)\Windows Kits\8.1\Include\shared\sdkddkver.h(200) : see previous definition of '_WIN32_WINNT'
2>C:\data\src\oce-0.17-dev\src\IVtkDraw\IVtkDraw_Interactor.cxx(19): fatal error C1083: Cannot open include file: 'vtkWin32RenderWindowInteractor.h': No such file or directory
2>C:\data\src\oce-0.17-dev\src\IVtkDraw\IVtkDraw.cxx(262): error C2065: 'DefWindowProc' : undeclared identifier
2>C:\data\src\oce-0.17-dev\src\IVtkDraw\IVtkDraw.cxx(263): error C2065: 'CS_VREDRAW' : undeclared identifier
2>C:\data\src\oce-0.17-dev\src\IVtkDraw\IVtkDraw.cxx(263): error C2065: 'CS_HREDRAW' : undeclared identifier
2>C:\data\src\oce-0.17-dev\src\IVtkDraw\IVtkDraw.cxx(264): error C2039: 'LoadCursor' : is not a member of '`global namespace''
2>C:\data\src\oce-0.17-dev\src\IVtkDraw\IVtkDraw.cxx(264): error C2065: 'IDC_ARROW' : undeclared identifier
2>C:\data\src\oce-0.17-dev\src\IVtkDraw\IVtkDraw.cxx(264): error C3861: 'LoadCursor': identifier not found
2>C:\data\src\oce-0.17-dev\src\IVtkDraw\IVtkDraw.cxx(311): error C2065: 'WS_OVERLAPPEDWINDOW' : undeclared identifier
2>C:\data\src\oce-0.17-dev\src\IVtkDraw\IVtkDraw.cxx(669): warning C4800: 'int' : forcing value to bool 'true' or 'false' (performance warning)
2>C:\data\src\oce-0.17-dev\src\IVtkDraw\IVtkDraw.cxx(730): warning C4800: 'int' : forcing value to bool 'true' or 'false' (performance warning)
========== Build: 0 succeeded, 2 failed, 66 up-to-date, 0 skipped ==========
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0027672closedbugmaster Open CASCADE VTK7 support 

-  Notes
(0054155)
git (administrator)
2016-05-20 11:31

Branch CR26512 has been created by ski.

SHA-1: fdd95c16f3c63bcc9121b376fa67b278601d86e0


Detailed log of new commits:

Author: ski
Date: Fri May 20 11:31:27 2016 +0300

    0026512: Build fails with VTK 6.2 and OpenGL2 Rendering Backend
    
    Support of VTK with OpenGL2 Rendering Backend was added.
(0054156)
git (administrator)
2016-05-20 11:33

Branch CR26512 has been updated forcibly by ski.

SHA-1: 8e27ad8248a560c90331cf47e6b30cd3f39bd16b
(0054157)
ski (developer)
2016-05-20 11:36

Dear abv,

Support of VTK with OpenGL2 Rendering Backend was added.
I have tested this patch with VTK 7.0 with OpenGL2 Rendering Backend as it was discussed.

please review.

(0054262)
abv (manager)
2016-05-21 08:29

No remarks, please test
(0054297)
bugmaster (administrator)
2016-05-23 15:44
edited on: 2016-05-23 15:52

OCCT successfully built with VTK 7.0 with OpenGL2 Rendering Backend option enabled.
http://jenkins-test-03.nnov.opencascade.com:8080/view/CR26512/job/CR26512_master-OCCT-Windows-64-VC10-opt-compile/ [^]

(0054353)
apv (tester)
2016-05-24 15:56

Dear BugMaster,

Branch CR26512 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: fdd95c16f3c63bcc9121b376fa67b278601d86e0

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MacOS: 0 (0 on master)
products component:
   Linux: 72
   Windows: 4
   MacOS: 1140

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 88793149 / 89045900 [-0.28%]
Total CPU difference: 19295.09000000008 / 19272.01999999995 [+0.12%]

Testing on Windows:
Total MEMORY difference: 55777575 / 55813773 [-0.06%]
Total CPU difference: 18207.812715998818 / 18216.813973698914 [-0.05%]
(0054468)
git (administrator)
2016-05-27 13:09

Branch CR26512 has been deleted by inv.

SHA-1: 8e27ad8248a560c90331cf47e6b30cd3f39bd16b

- Related Changesets
occt: master 88d533be
Timestamp: 2016-05-20 08:31:27
Author: ski
Committer: bugmaster
Details ] Diff ]
0026512: Build fails with VTK 6.2 and OpenGL2 Rendering Backend

Support of VTK with OpenGL2 Rendering Backend was added.
mod - adm/cmake/occt_toolkit.cmake Diff ] File ]
mod - src/IVtkVTK/IVtkVTK_View.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-08-03 15:30 dc New Issue
2015-08-03 15:30 dc Assigned To => kgv
2015-08-19 13:15 abv Target Version => 7.0.0
2015-08-19 20:03 abv Assigned To kgv => ski
2015-08-19 20:03 abv Status new => assigned
2015-12-18 11:50 abv Target Version 7.0.0 => 7.1.0
2016-05-20 11:31 git Note Added: 0054155
2016-05-20 11:33 git Note Added: 0054156
2016-05-20 11:36 ski Note Added: 0054157
2016-05-20 11:36 ski Assigned To ski => abv
2016-05-20 11:36 ski Status assigned => resolved
2016-05-20 11:36 ski Steps to Reproduce Updated View Revisions
2016-05-21 08:29 abv Note Added: 0054262
2016-05-21 08:29 abv Assigned To abv => bugmaster
2016-05-21 08:29 abv Status resolved => reviewed
2016-05-23 15:44 bugmaster Note Added: 0054297
2016-05-23 15:52 bugmaster Note Edited: 0054297 View Revisions
2016-05-24 15:06 apv Test case number => Not needed
2016-05-24 15:56 apv Note Added: 0054353
2016-05-24 15:56 apv Status reviewed => tested
2016-05-27 13:02 bugmaster Changeset attached => occt master 88d533be
2016-05-27 13:02 bugmaster Status tested => verified
2016-05-27 13:02 bugmaster Resolution open => fixed
2016-05-27 13:09 git Note Added: 0054468
2016-07-15 17:14 ssv Relationship added related to 0027672
2016-12-09 16:31 user533 Status verified => closed
2016-12-09 16:37 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker